@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap');

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html, body {
  font-family: 'Inter', sans-serif;
  height: 100%;
  width: 100%;
}

.grid-container {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  grid-template-rows: repeat(2, 1fr);
  gap: 1rem;
  width: 100%;
  height: 93%;
  padding: 1.5rem;
  background: #f3f3f3;
  
}


.card {
  background-color: #ffffff;
  border: 1px solid #ccc;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  height: 100%;
  box-shadow: 0 2px 6px rgba(0,0,0,0.1);
  border: none;
  border-radius: 5px;
}

.card-header {
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: bold;
  font-size: 18px;
  margin-bottom: 0.5rem;
}

.card-header .icon {
  margin-right: 0.5rem;
}

.card-description {
  font-size: 11px;
  color: #7c7c7c;
  margin-bottom: 10px;
}

.title {
  background: -webkit-linear-gradient(to right, #2A357E 0%, #00AE4D 65%, #00AE4D 100%);
  background: -moz-linear-gradient(to right, #2A357E 0%, #00AE4D 65%, #00AE4D 100%);
  background: linear-gradient(to right, #2A357E 0%, #00AE4D 65%, #00AE4D 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  margin-bottom: 0 !important;
}

.card-links {
  list-style: none;
  padding: 0;
  margin-top: 10px;
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  gap: 13px;
  overflow-x: hidden;
  max-height: calc(5 * 2rem);
  overflow-y: auto; 
  scroll-behavior: smooth;
}

.card-links li {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #4c4c4c;
  font-size: 12px;
}

ul li a {
  text-decoration: none;
  color: #787878;
  font-size: 14px;
  flex: 0.98;
  display: flex;
  justify-content: space-between;
  transition: transform 0.3s ease, color 0.3s ease;  /* Smooth transition */
}

ul li a:hover {
  transform: translateX(4px);
  font-weight: bold;
  color: #676767;
}


/* Top Banner */
.top-banner {
  background: #ffffff;
  font-size: 24px;
  font-weight: 600;
  padding: 5px 500px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15); /* grey bottom shadow */
  position: sticky;
  top: 0;
  background: -webkit-linear-gradient(to right, #2A357E 0%, #00AE4D 65%, #00AE4D 100%);
  background: -moz-linear-gradient(to right, #2A357E 0%, #00AE4D 65%, #00AE4D 100%);
  background: linear-gradient(to right, #2A357E 0%, #00AE4D 65%, #00AE4D 100%);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  margin-bottom: 0 !important;
  z-index: 1000;
}
